| Home | Libraries | People | FAQ | More

#### grammar::alpha_chars

The set of all letters.

##### Synopsis

Defined in header `<boost/url/grammar/alpha_chars.hpp>`

    constexpr implementation-defined alpha_chars;

##### Example

Character sets are used with rules and the functions `find_if` and `find_if_not`.

    system::result< core::string_view > rv = parse( "JohnDoe" , token_rule( alpha_chars ) );

##### BNF

    ALPHA       = %x41-5A / %x61-7A
                ; A-Z / a-z

##### Specification

- B.1. Core Rules (rfc5234)

##### See Also

`find_if`, `find_if_not`, `parse`, `token_rule`.

Convenience header `<boost/url/grammar.hpp>`